require "spec_helper"

describe Terry::ApiService do
  it "should retrieve all aliases" do
    HTTParty.should_receive(:get).and_return(JSON.parse(aliases_json))
    aliases = Terry::ApiService.list_all
    aliases.should be_an_instance_of Array
    aliases.first.should be_an_instance_of Terry::BashAlias
  end

  it "should return matches for a search based on the command" do
    HTTParty.should_receive(:get).and_return(JSON.parse(aliases_json))
    aliases = Terry::ApiService.search("rails")
    aliases.length.should == 1
    aliases.first.command.should == "rails s"
  end
end